/* Copyright (c) 1997, MpegTV LLC */
#ifndef _pmp_win32_h
#define _pmp_win32_h
#ifndef lint
static const char rcsid_pmp_pipe_h[] = "$Header: /net/hopkins/home/tristan/mpeg/dec/RCS/pmp.h,v 1.34 1999/05/21 03:50:27 tristan Exp tristan $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

#include "misc.h"

/*--------------------------------------------------------------------------+
| Configuration flags														|
+--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------+
| Externals																	|
+--------------------------------------------------------------------------*/
#ifdef __cplusplus
extern "C" {
#endif

/* declare any platform specific routines here */
extern int pmp_translate_msg(const MTVP_PMP_STRUCT *pmp, UINT message, WPARAM wParam, LPARAM lParam, MTVP_PMP_HEADER *header, char *ptr, u_int size);
//extern void pmp_set_dest_window(const MTVP_PMP_STRUCT *pmp, HWND window);
extern void pmp_set_receive_window(MTVP_PMP_STRUCT *pmp, HWND window);

#ifdef __cplusplus
}
#endif


#endif /* _pmp_win32_h */
